package data;

import javax.media.opengl.GL;

/**
 * interface for draw-able OpenGL objects
 * @author Felix Flei (MatrNr: 0527038)
 *
 */
public interface Drawable {
	/**
	 * draws an object in OpenGL context
	 * @param gl GL-context
	 * @return false if fails ton draaw and shall be deleted
	 */
	public boolean draw(GL gl);
	/**
	 * initializes the Drawable in OpenGL context
	 * @param gl gl context
	 * @return false if fails to initialize
	 */
	public boolean init(GL gl);
}
