package ui;

import data.Node;
import logic.GraphGenerator;
import logic.GraphProcessing;
import logic.GraphProcessing.DepthFirstIterator;

public class testDepthFirst {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		
		GraphGenerator.Graph graph = GraphGenerator.Graph.load("graph10.txt");
		
		System.out.println(graph);
		
		Node focusNode = graph.getNodeList().get(0);//(int)(Math.random()*graph.getNodeList().size()));
		System.out.println("================generate tree with focus node "+focusNode.getID()+"===============");
		GraphProcessing gp = new GraphProcessing();
		gp.generateTree(focusNode);
		DepthFirstIterator bfi = gp.iteratorDepthFirst();
		System.out.println("================depth first search===============");
		while(bfi.hasNext()){
			System.out.println(bfi.next().toString());
			//bfi.next();
		}
	}

}